Bug 501060 - "IOError: [Errno 22] Invalid argument" when syncing from export on NFS
"IOError: [Errno 22] Invalid argument" when syncing from export on NFS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
520
All Linux
high Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Petr Sklenar
:
Depends On: 480903
Blocks: 473868
  Show dependency treegraph
 
Reported: 2009-05-15 14:30 EDT by Xixi
Modified: 2010-10-23 05:38 EDT (History)
9 users (show)

See Also:
Fixed In Version: 521
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 480903
Environment:
Last Closed: 2009-11-10 03:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Xixi 2009-05-15 14:47:16 EDT
Customer has recently upgraded to RHEL5 and RHN proxy server 5.2 -

RHN proxy server        - RHEL5u3 x86_64
                       - RHN proxy server 5.2
RHEL client             - RHEL5u2 x86_64

- and is often getting random error messages when trying to update packages on clients using yum.  This is an example of the error message:
Error Downloading Packages:
gfs2-utils-0.1.53-1.el5_3.3.x86_64: failed to retrieve getPackage/gfs2-utils-0.1.53-1.el5_3.3.x86_64.rpm from rhel-x86_64-server-5
error was [Errno 14] HTTP Error 500: Internal Server Error

This error isn't consistent, and it will work eventually if the customer attempts it enough times.  Each time they get this error, they get a traceback error email from the RHN Proxy server -

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/proxy/apacheServer.py", line 55, in __call__
    ret = f(req)
  File "/usr/share/rhn/proxy/apacheHandler.py", line 337, in handler
    ret = handlerObj.handler()
  File "/usr/share/rhn/proxy/broker/rhnBroker.py", line 156, in handler
    getResult = self.__local_GET_handler(self.req)
  File "/usr/share/rhn/proxy/broker/rhnBroker.py", line 296, in __local_GET_handler
    self.__checkAuthSessionTokenCache(token, reqchannel)
  File "/usr/share/rhn/proxy/broker/rhnBroker.py", line 445, in __checkAuthSessionTokenCache
    self.cachedClientInfo = UserDictCase(shelf[self.clientServerId])
  File "/usr/share/rhn/proxy/broker/rhnProxyAuth.py", line 375, in __getitem__
    val = rhnCache.get(rkey, missing_is_null=0)
  File "/usr/share/rhn/common/rhnCache.py", line 62, in get
    return cache.get(name, modified)
  File "/usr/share/rhn/common/rhnCache.py", line 325, in get
    pickled = self.cache.get(name, modified)
  File "/usr/share/rhn/common/rhnCache.py", line 223, in get
    fd.close()
  File "/usr/share/rhn/common/rhnCache.py", line 166, in close
    _unlock(self.fd.fileno())
  File "/usr/share/rhn/common/rhnCache.py", line 50, in _unlock
    fcntl.fcntl(fd, rhn_fcntl.F_SETLKW, UNLOCK)
IOError: [Errno 22] Invalid argument

This bug is cloned from bug 480903 for backport/Hotfix for package for 5.2.0 and sat52maint tracking. The affected code area overlaps between satellite and proxy via the rhns package.
Comment 11 Jan Pazdziora 2009-10-09 10:32:35 EDT
Packages rhns-5.2.0-23.el[45] built.
Comment 12 Jan Pazdziora 2009-10-16 03:39:08 EDT
Moving ON_QA as the packages were pushed to webqa with composes Satellite-5.2.1-RHEL[45]-re20091014.0.
Comment 14 Jan Pazdziora 2009-10-16 05:19:03 EDT
Jan, note that this particular bugzilla is for RHN Proxy, so we'd need the test plan to be Proxy-specific. The Satellite version of the errata is bug 502665.
Comment 18 errata-xmlrpc 2009-11-10 03:10:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1565.html
Comment 19 Jan Pazdziora 2009-11-10 06:14:08 EST
The errata which we've released is actually errata marking the Satellite 5.2.1 release, changing resolution to CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.